List mDNS records
GET
/mdns/records
const url = 'https://sylve.lan:8181/api/mdns/records';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/mdns/records \ --header 'Authorization: <Authorization>'List all mDNS records (managed and user-created)
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
active
boolean
createdAt
string
id
integer
interfaces
string
managed
boolean
name
string
port
integer
source
string
txt
object
key
additional properties
string
type
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "active": true, "createdAt": "example", "id": 1, "interfaces": "example", "managed": true, "name": "example", "port": 1, "source": "example", "txt": { "additionalProperty": "example" }, "type": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}